Subject: Re: linux-next: ext4 tree build failure

From: Pekka Enberg <[email-masked]>
Date: Wed, 17 Jun 2009 07:16:30 +0300

Hi Ted,

Theodore Tso wrote:
> On Tue, Jun 16, 2009 at 02:44:13PM +1000, Stephen Rothwell wrote:
>> Hi Ted,
>>
>> Today's linux-next build (powerpc ppc64_defconfig) failed like this after
>> the slab tree was merged:
>>
>> In file included from fs/jbd2/checkpoint.c:26:
>> include/trace/events/jbd2.h:11: error: expected ')' before '(' token
>> include/trace/events/jbd2.h:31: error: expected ')' before '(' token
> 
> Hmm... I wonder why the slab tree would be messing with tracing
> include files.
> 
> Which slab tree is it?  Is it Pekka's?
> 
>       git://git.kernel.org/pub/scm/linux/kernel/git/penberg/slab-2.6.git

Yup, that's it. I looked at this yesterday but didn't see anything 
suspicious. I don't think I have any patches that mess with any tracing 
include files. The only major change there should be the new default 
SLQB allocator. Perhaps ext4 is simply missing some includes that are 
pulled by SLUB but not SLQB?

			Pekka